Subject: Re: [PATCH net-next] net: Support ip route get via given table

From: David Ahern <[email-masked]>
Date: Thu, 3 Sep 2015 17:25:59 -0600

On 9/3/15 4:40 PM, David Miller wrote:
> From: David Ahern <[email-masked]>
> Date: Wed,  2 Sep 2015 12:03:12 -0700
>
>> Add support for 'ip [-6] route get table X' where the user wants to
>> force the FIB lookup from a given table.
>>
>> Signed-off-by: David Ahern <[email-masked]>
>
> As Thomas mentioned, this adds cost to the FIB lookup fastpath
> for a control-plane only feature, which is really undesirable.
>
> I think I'll pass on this change for now, sorry.
>

Got it. I had other ideas on how to implement it. Figured I would start 
with the simplest.